import request from '@/utils/request'

// 查询个人页留言模板列表
export function listModel(query) {
  return request({
    url: '/system/personal/model/list',
    method: 'get',
    params: query
  })
}

// 查询个人页留言模板详细
export function getModel(id) {
  return request({
    url: '/system/personal/model/' + id,
    method: 'get'
  })
}

// 新增个人页留言模板
export function addModel(data) {
  return request({
    url: '/system/personal/model',
    method: 'post',
    data: data
  })
}

// 修改个人页留言模板
export function updateModel(data) {
  return request({
    url: '/system/personal/model',
    method: 'put',
    data: data
  })
}

// 删除个人页留言模板
export function delModel(id) {
  return request({
    url: '/system/personal/model/' + id,
    method: 'delete'
  })
}

// 导出个人页留言模板
export function exportModel(query) {
  return request({
    url: '/system/personal/model/export',
    method: 'get',
    params: query
  })
}